Debian Bug report logs - #683184
RFS: suckless-tools/39-1

Package: sponsorship-requests; Maintainer for sponsorship-requests is Debian Mentors <package-sponsorship-requests@lists.debian.org>;

Reported by: Vasudev Kamath <kamathvasudev@gmail.com>

Date: Sun, 29 Jul 2012 17:00:01 UTC

Severity: normal

Done: Jakub Wilk <jwilk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kamathvasudev@gmail.com, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 29 Jul 2012 17:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
New Bug report received and forwarded. Copy sent to kamathvasudev@gmail.com, Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 29 Jul 2012 17:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 29 Jul 2012 22:27:39 +0530
[Message part 1 (text/plain, inline)]
Package: sponsorship-requests
Severity: normal

Dear mentors,

  I am looking for a sponsor for my package "suckless-tools"

 * Package name    : suckless-tools
   Version         : 39-1
   Upstream Author : Suckless community (multiple authors)
 * URL             : http://suckless.org
 * License         : MIT
   Section         : x11

  It builds those binary packages:

    suckless-tools - simple commands for minimalistic window managers

  To access further information about this package, please visit the following URL:

  http://mentors.debian.net/package/suckless-tools


  Alternatively, one can download the package with dget using this command:

    dget -x http://mentors.debian.net/debian/pool/main/s/suckless-tools/suckless-tools_39-1.dsc

  More information about hello can be obtained from http://www.example.com.

  Changes since the last upload:

suckless-tools (39-1) unstable; urgency=low

  [ Michael Stummvoll ]
  * New Maintainer (Closes: #647090) 
  * Updated lsw (Closes: #650573) 
  * Updated dmenu (Closes: #650574) 
  * Added sprop and lsx (Closes: #627662)
  * Added manpage for dmenu_run (Closes: #610478)
  * Updated manpages for slock, ssidd, swarp and wmname (Closes: #636030)
  * Updated manpage for sselp (Closes: #378175)
  * Vcs-Git and Vcs-Browser now points to collab-maint repository
    (Closes: #636012)
  * Removed st from the package. Suggests stterm now. Since st is
    no longer part of this package it doesn't install st.256color.
    (Closes: #642307,#665884)
  * Fixed a typo in the wmname manpage
  * Added some docs

  [ Vasudev Kamath ]
  * Imported new version of slock (Closes: #667796)
  * Imported new version of tabbed
  * debian/control:
    + Increased minimum debhelper required to 9
    + Bumped Standards-Version to 3.9.3. This did not require any change
      to package.
    + Added myself as maintainer and Michael Stummvoll as Uploader
    + Added dependency on dpkg-dev >= 1.16.1.1
  * Set debian/compat to 9
  * Merge new version 39
  * debian/rules:
    + Added hardening flags options
    + Added get-orig-source target to get upstream source tarball for included
      package
    + Added VERSION for each involved tool to contain current version
  * debian/patches:
    + Added patch to do setgid shadow instead of setuid root on slock Makefile
     (01_fix_setuid_slock.patch).
    + Added patch to introduce hardening flags and allow DEB_BUILD_OPTIONS=noopt
     (02_dpkg-buildflags.patch).
    + Added patch to make command execution visible in Makefiles
     (03_transparent-makefiles.patch).
    + Added patch to escape '-' symbol in manpage for tabbed
     (04_tabbed-manpage-hyphe-fix.patch).
  * debian/copyright:
    + Copyright file now adheres to Debian copyright-format 1.0

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 29 Jul 2012 22:18:03 +0530



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Regards,
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 683184 blocks 647090 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sun, 29 Jul 2012 17:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 30 Jul 2012 08:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 30 Jul 2012 10:48:11 +0200
This is only a very rudimentary review. I don't have time to review this 
properly for the time being. Anybody else is welcome to do it for me. :)

* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-07-29, 22:27:
>    dget -x http://mentors.debian.net/debian/pool/main/s/suckless-tools/suckless-tools_39-1.dsc
>
>  More information about hello can be obtained from http://www.example.com.
>
>  Changes since the last upload:
>
>suckless-tools (39-1) unstable; urgency=low

It doesn't look like it's suitable for wheezy, so please make it 
s/unstable/experimental/.

>  [ Michael Stummvoll ]
>  * New Maintainer (Closes: #647090)

[0]

>  [ Vasudev Kamath ]
>  * Imported new version of slock (Closes: #667796)

This fixes a security issue, so please mention CVE number in the 
changelog.

>    + Added myself as maintainer and Michael Stummvoll as Uploader

I'd merge this item with [0].

>    + Added dependency on dpkg-dev >= 1.16.1.1

It'd nice to mention why it's needed.

>+This package contains a set of tools from suckless community as
>+single package. To build the package you need to create source
>+tarballs of individual tool component involved. This can be done
>+by running following command from suckless-tools folder
>+
>+ fakeroot debian/rules get-orig-source

Why fakeroot?

>+Forwarded: <no|not-needed|url proving that it has been forwarded>

Please choose one. :)

>+-$ $(tabbed -d >/tmp/tabbed.xid); urxvt -embed $(</tmp/tabbed.xid);
>++$ $(tabbed \-d >/tmp/tabbed.xid); urxvt \-embed $(</tmp/tabbed.xid);

If you're fixing this, please also fix the security hole (insecure use 
of temporary files).

>+override_dh_installdocs:
>+	dh_installdocs
>+	for TOOL in $(TOOLS); \
>+	do \
>+		cp $${TOOL}/README $(D)/usr/share/doc/suckless-tools/README.$${TOOL}; \
>+	done

This for loop needs a "set -e"; see Policy §4.6. I see other parts of 
debian/rules has the same problem.

>+	@cd /tmp
>+	@tar -cvf - suckless-tools_$(CURRENT_VERSION) 2> /dev/null | gzip -9 > ../suckless-tools_$(CURRENT_VERSION).orig.tar.gz
>+	@rm -rf /tmp/suckless-tools_$(CURRENT_VERSION)

This creates temporary files insecurely.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 30 Jul 2012 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kamathvasudev@gmail.com, 683184@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Mon, 30 Jul 2012 16:30:03 GMT) Full text and rfc822 format available.

Message #15 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: jwilk@debian.org
Cc: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 30 Jul 2012 21:56:20 +0530
[Message part 1 (text/plain, inline)]
On 10:48 Mon 30 Jul     , Jakub Wilk wrote:
> This is only a very rudimentary review. I don't have time to review
> this properly for the time being. Anybody else is welcome to do it
> for me. :)

Thanks.. Wonder how many more silly stuffs show up on actual review
;-)

> 
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-07-29, 22:27:
> >   dget -x http://mentors.debian.net/debian/pool/main/s/suckless-tools/suckless-tools_39-1.dsc
> >
> > More information about hello can be obtained from http://www.example.com.
> >
> > Changes since the last upload:
> >
> >suckless-tools (39-1) unstable; urgency=low
> 
> It doesn't look like it's suitable for wheezy, so please make it
> s/unstable/experimental/.

Done! When it should be moved to unstable? After wheezy release? It
does contains some new version of tools so asking.

> 
> > [ Michael Stummvoll ]
> > * New Maintainer (Closes: #647090)
> 
> [0]
> 
> > [ Vasudev Kamath ]
> > * Imported new version of slock (Closes: #667796)
> 
> This fixes a security issue, so please mention CVE number in the
> changelog.

Done
> 
> >   + Added myself as maintainer and Michael Stummvoll as Uploader
> 
> I'd merge this item with [0].
Done
> 
> >   + Added dependency on dpkg-dev >= 1.16.1.1
> 
> It'd nice to mention why it's needed.
Did it :-)
> 
> >+This package contains a set of tools from suckless community as
> >+single package. To build the package you need to create source
> >+tarballs of individual tool component involved. This can be done
> >+by running following command from suckless-tools folder
> >+
> >+ fakeroot debian/rules get-orig-source
> 
> Why fakeroot?

Well by habit wrote it :-).. Now fixed
> 
> >+Forwarded: <no|not-needed|url proving that it has been forwarded>
> 
> Please choose one. :)
Ouch.. I will end up doing one or other copy paste error. Fixed
> 
> >+-$ $(tabbed -d >/tmp/tabbed.xid); urxvt -embed $(</tmp/tabbed.xid);
> >++$ $(tabbed \-d >/tmp/tabbed.xid); urxvt \-embed $(</tmp/tabbed.xid);
> 
> If you're fixing this, please also fix the security hole (insecure
> use of temporary files).

Done too
> 
> >+override_dh_installdocs:
> >+	dh_installdocs
> >+	for TOOL in $(TOOLS); \
> >+	do \
> >+		cp $${TOOL}/README $(D)/usr/share/doc/suckless-tools/README.$${TOOL}; \
> >+	done
> 
> This for loop needs a "set -e"; see Policy §4.6. I see other parts
> of debian/rules has the same problem.

As discussed in IRC the SHELL := sh -e on top of rule file should
handle this.

> 
> >+	@cd /tmp
> >+	@tar -cvf - suckless-tools_$(CURRENT_VERSION) 2> /dev/null | gzip -9 > ../suckless-tools_$(CURRENT_VERSION).orig.tar.gz
> >+	@rm -rf /tmp/suckless-tools_$(CURRENT_VERSION)
> 
> This creates temporary files insecurely.

Fixed.

Instead of pushing new package to mentors I've pushed my changes to
collab-maint repository [1] Hope that is fine with you if not let me know

[1] git.debian.org:/git/collab-maint/suckless-tools.git

Thanks for the review.
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 16 Aug 2012 18:51:06 GMT) Full text and rfc822 format available.

Message #18 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 16 Aug 2012 20:46:23 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-07-30, 21:56:
>>It doesn't look like it's suitable for wheezy, so please make it 
>>s/unstable/experimental/.
>Done! When it should be moved to unstable? After wheezy release?

Yes, after wheezy is released.

>>>+-$ $(tabbed -d >/tmp/tabbed.xid); urxvt -embed $(</tmp/tabbed.xid);
>>>++$ $(tabbed \-d >/tmp/tabbed.xid); urxvt \-embed $(</tmp/tabbed.xid);
>>If you're fixing this, please also fix the security hole (insecure use 
>>of temporary files).
>Done too

So it's now:

TMPFILE=$(mktemp \-\-tmpdir tabbedxid.XXX);$(tabbed \-d > ${TMPFILE});urxvt \-embed $(<${TMPFILE})

which is certainly better from security perspective, but not necessarily 
from usability one. I think the reason for storing xid in a file with 
predictable name was that it allowed you to connect more than one urxvt 
to the same tabbed. So I think that:
1) TMPFILE is a bad variable name for this purpose;
2) you could have saved one level of indirection by storing "tabbed -d" 
output directly into the variable (rather than into temporary file);
3) perhaps it would make more sense to use a file somewhere in $HOME.

>>>+	@cd /tmp
>>>+	@tar -cvf - suckless-tools_$(CURRENT_VERSION) 2> /dev/null | gzip -9 > ../suckless-tools_$(CURRENT_VERSION).orig.tar.gz
>>>+	@rm -rf /tmp/suckless-tools_$(CURRENT_VERSION)
>>This creates temporary files insecurely.
>Fixed.

I see you did this:

get-orig-source: TMPDIR :=$(shell (mktemp --tmpdir -d suckless-tools.XXXX))

It looks like a nice hack, but... it will create a temporary directory 
every time debian/rules is run (not only for the get-orig-source 
target).

>Instead of pushing new package to mentors I've pushed my changes to 
>collab-maint repository [1] Hope that is fine with you if not let me 
>know
>
>[1] git.debian.org:/git/collab-maint/suckless-tools.git

That's okay.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sat, 18 Aug 2012 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sat, 18 Aug 2012 16:39:04 GMT) Full text and rfc822 format available.

Message #23 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sat, 18 Aug 2012 22:07:04 +0530
[Message part 1 (text/plain, inline)]
On 20:46 Thu 16 Aug     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-07-30, 21:56:
> >>It doesn't look like it's suitable for wheezy, so please make it
> >>s/unstable/experimental/.
> >Done! When it should be moved to unstable? After wheezy release?
> 
> Yes, after wheezy is released.

Okay

> >>>+-$ $(tabbed -d >/tmp/tabbed.xid); urxvt -embed $(</tmp/tabbed.xid);
> >>>++$ $(tabbed \-d >/tmp/tabbed.xid); urxvt \-embed $(</tmp/tabbed.xid);
> >>If you're fixing this, please also fix the security hole
> >>(insecure use of temporary files).
> >Done too
> 
> So it's now:
> 
> TMPFILE=$(mktemp \-\-tmpdir tabbedxid.XXX);$(tabbed \-d > ${TMPFILE});urxvt \-embed $(<${TMPFILE})
> 
> which is certainly better from security perspective, but not
> necessarily from usability one. I think the reason for storing xid
> in a file with predictable name was that it allowed you to connect
> more than one urxvt to the same tabbed. So I think that:
> 1) TMPFILE is a bad variable name for this purpose;
> 2) you could have saved one level of indirection by storing "tabbed
> -d" output directly into the variable (rather than into temporary
> file);
> 3) perhaps it would make more sense to use a file somewhere in
> $HOME.

Well yes that line looks most ugly :-). Now I'm choosing 2nd option
given by you and patch is cleaned up.

> 
> >>>+	@cd /tmp
> >>>+	@tar -cvf - suckless-tools_$(CURRENT_VERSION) 2> /dev/null | gzip -9 > ../suckless-tools_$(CURRENT_VERSION).orig.tar.gz
> >>>+	@rm -rf /tmp/suckless-tools_$(CURRENT_VERSION)
> >>This creates temporary files insecurely.
> >Fixed.
> 
> I see you did this:
> 
> get-orig-source: TMPDIR :=$(shell (mktemp --tmpdir -d suckless-tools.XXXX))
> 
> It looks like a nice hack, but... it will create a temporary
> directory every time debian/rules is run (not only for the
> get-orig-source target).
>

Since it was with get-orig-source: target I thought like all Makefiles
it should be called only when we do debian/rules get-orig-source but
looks like it creates directory even when I call debian/rules clean
which I don't understand why! Do you have any other alternatives for
this? and possibly reason why its being called on targets other than
get-orig-source?

I actually used this method from git-flow package of course its not
creating any TMPDIR but it does same for setting one variable. I asked
the package owner and he told that is only way to set the variable (or
at least that is what I interpreted )

Note: I referred git-flow because its also multi source package

I've pushed the changes and waiting for your comments

With Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 20 Aug 2012 13:51:05 GMT) Full text and rfc822 format available.

Message #26 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 20 Aug 2012 15:49:06 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-08-18, 22:07:
>>get-orig-source: TMPDIR :=$(shell (mktemp --tmpdir -d suckless-tools.XXXX))
>>
>>It looks like a nice hack, but... it will create a temporary directory 
>>every time debian/rules is run (not only for the get-orig-source 
>>target).
>>
>
>Since it was with get-orig-source: target I thought like all Makefiles 
>it should be called only when we do debian/rules get-orig-source but 
>looks like it creates directory even when I call debian/rules clean 
>which I don't understand why!

Apparently ":=" assignments are evaluated always exactly once, 
regardless of whether the variable is global or target-specific.

>Do you have any other alternatives for this?

The alternative is to use shell variables for this purpose. I find it 
convenient to have a separate script to create .orig.tar, and make 
get-orig-source just call it.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Wed, 22 Aug 2012 17:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 683184@bugs.debian.org, kamathvasudev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 22 Aug 2012 17:15:05 GMT) Full text and rfc822 format available.

Message #31 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Wed, 22 Aug 2012 22:40:20 +0530
[Message part 1 (text/plain, inline)]
On 15:49 Mon 20 Aug     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-08-18, 22:07:
> >>get-orig-source: TMPDIR :=$(shell (mktemp --tmpdir -d suckless-tools.XXXX))
> >>
> >>It looks like a nice hack, but... it will create a temporary
> >>directory every time debian/rules is run (not only for the
> >>get-orig-source target).
> >>
> >
> >Since it was with get-orig-source: target I thought like all
> >Makefiles it should be called only when we do debian/rules
> >get-orig-source but looks like it creates directory even when I
> >call debian/rules clean which I don't understand why!
> 
> Apparently ":=" assignments are evaluated always exactly once,
> regardless of whether the variable is global or target-specific.

I see I didn't knew that. Thanks!
> 
> >Do you have any other alternatives for this?
> 
> The alternative is to use shell variables for this purpose. I find
> it convenient to have a separate script to create .orig.tar, and
> make get-orig-source just call it.

Done :-). (well you already know from d-m discussion)

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Fri, 24 Aug 2012 18:36:03 GMT) Full text and rfc822 format available.

Message #34 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Fri, 24 Aug 2012 20:32:45 +0200
You create the empty suckless-tools_${version}.orig.tar.gz tarball in 
the wrong directory.

Why do you redirect tar's stderr to /dev/null?

I recommend passing these options to tar, so that the user's 
name/group/umask are not leaked:

--owner root --group root --mode a+rX

Have you seen #685611?

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sat, 25 Aug 2012 06:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sat, 25 Aug 2012 06:39:03 GMT) Full text and rfc822 format available.

Message #39 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sat, 25 Aug 2012 12:04:48 +0530
[Message part 1 (text/plain, inline)]
On 20:32 Fri 24 Aug     , Jakub Wilk wrote:
> You create the empty suckless-tools_${version}.orig.tar.gz tarball
> in the wrong directory.

Ok I messed up. It was fine till I didn't introduced the mktemp to
create secure tmp directory. But when I did I forgot to check where on
earth the .orig.tar.gz was created. I will fix this

> Why do you redirect tar's stderr to /dev/null?

Just to keep the output clean. Is that not recommended? If so I will
remove it

> I recommend passing these options to tar, so that the user's
> name/group/umask are not leaked:
> 
> --owner root --group root --mode a+rX

Ok I will fix it

> Have you seen #685611?

Just now noticed it. It went to original maintainer who orphaned
thanks for pointing out. I will reply for the bug on the bug itself.

Will prepare a new source and ping you again

Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sat, 25 Aug 2012 07:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 683184@bugs.debian.org, kamathvasudev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sat, 25 Aug 2012 07:33:03 GMT) Full text and rfc822 format available.

Message #44 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: jwilk@debian.org
Cc: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sat, 25 Aug 2012 13:02:12 +0530
[Message part 1 (text/plain, inline)]
On 20:32 Fri 24 Aug     , Jakub Wilk wrote:
> You create the empty suckless-tools_${version}.orig.tar.gz tarball
> in the wrong directory.

Fixed

> Why do you redirect tar's stderr to /dev/null?
Removed this too

> I recommend passing these options to tar, so that the user's
> name/group/umask are not leaked:
> 
> --owner root --group root --mode a+rX
Done

<snip>

Warm Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 30 Aug 2012 16:39:05 GMT) Full text and rfc822 format available.

Message #47 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 30 Aug 2012 18:34:34 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-08-25, 13:02:
>>You create the empty suckless-tools_${version}.orig.tar.gz tarball in 
>>the wrong directory.
>Fixed

Now I realized that the other tarballs were created in a wrong 
directory, too. (“This target […] leaves [the tarball] in the current 
directory.” — Policy §4.9)

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Fri, 31 Aug 2012 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 31 Aug 2012 11:12:03 GMT) Full text and rfc822 format available.

Message #52 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Fri, 31 Aug 2012 16:40:33 +0530
On Thu, Aug 30, 2012 at 10:04 PM, Jakub Wilk <jwilk@debian.org> wrote:
> Now I realized that the other tarballs were created in a wrong directory,
> too. (“This target […] leaves [the tarball] in the current directory.” —
> Policy §4.9)

Hmm.. So I need to leave the tarballs in the directory from where
rules is executed?
 eg debian/rules get-orig-source should leave them in package root
directory and if I execute make -f rules get-orig-source it should
execute in the debian/ directory?

The word current directory actually confuses me :-)

I was not aware of this policy (I should read policy document
properly). Any way will fix this tonight

Regards
-- 

Vasudev Kamath
http://copyninja.info
copyninja@{frndk.de|vasudev.homelinux.net}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Fri, 31 Aug 2012 11:21:03 GMT) Full text and rfc822 format available.

Message #55 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Fri, 31 Aug 2012 13:16:01 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-08-31, 16:40:
>>Now I realized that the other tarballs were created in a wrong 
>>directory, too. (“This target […] leaves [the tarball] in the current 
>>directory.” — Policy §4.9)
>Hmm.. So I need to leave the tarballs in the directory from where rules 
>is executed? eg debian/rules get-orig-source should leave them in 
>package root directory and if I execute make -f rules get-orig-source 
>it should execute in the debian/ directory?

Yes.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Fri, 31 Aug 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 683184@bugs.debian.org, kamathvasudev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 31 Aug 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #60 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Fri, 31 Aug 2012 20:18:33 +0530
[Message part 1 (text/plain, inline)]
On 13:16 Fri 31 Aug     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-08-31, 16:40:
> >>Now I realized that the other tarballs were created in a wrong
> >>directory, too. (“This target […] leaves [the tarball] in the
> >>current directory.” — Policy §4.9)
> >Hmm.. So I need to leave the tarballs in the directory from where
> >rules is executed? eg debian/rules get-orig-source should leave
> >them in package root directory and if I execute make -f rules
> >get-orig-source it should execute in the debian/ directory?
> 
> Yes.
Fixed and pushed to the repo


-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Tue, 09 Oct 2012 20:27:03 GMT) Full text and rfc822 format available.

Message #63 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Tue, 9 Oct 2012 22:23:59 +0200
Shouldn't the copyright file also mention download location for sprop 
(i.e. hg.suckless.org) too?

I'd prefer if create_get_orig source downloaded a specific revision of 
prop (currently ecfe2752b310) rather than tip. That would make the 
script more deterministic.

Would you mind preparing also a package for Wheezy, with *minimal* fixes 
for #685611 (and perhaps other bugs that would fit the freeze 
criteria[0])?


[0] http://release.debian.org/wheezy/freeze_policy.html

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Wed, 10 Oct 2012 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 10 Oct 2012 03:51:03 GMT) Full text and rfc822 format available.

Message #68 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Wed, 10 Oct 2012 09:16:22 +0530
On Wed, Oct 10, 2012 at 1:53 AM, Jakub Wilk <jwilk@debian.org> wrote:
> Shouldn't the copyright file also mention download location for sprop (i.e.
> hg.suckless.org) too?

Does source: field allow multiple URL's? According to Debian
copyright-format [0]
this field can be free form text which means I can put with a note
that sprop was
got from the different URL like below

Source: http://dl.suckless.org/tools except sprop which was downloaded
from hg tip at http://hg.suckless.org

> I'd prefer if create_get_orig source downloaded a specific revision of prop
> (currently ecfe2752b310) rather than tip. That would make the script more
> deterministic.

Well yes I will modify it and also I will try to persuade conor lane
smith to put it in dl.suckless.org ;-)
that way it will be more clean for both above source: field and get-orig-source

>
> Would you mind preparing also a package for Wheezy, with *minimal* fixes for
> #685611 (and perhaps other bugs that would fit the freeze criteria[0])?

Yes I can do that I was just not sure whether to do it or not :-).
Only problem will be I can track this wheezy source
in my current git reposiotory but I guess the old repository still
exist and only just renamed. I will prepare this and
ping back to you tonight!

Just a note is it okay to change Vcs-* field in this version even
though its not mentioned in bug report?

-- 

Vasudev Kamath
http://copyninja.info
copyninja@{frndk.de|vasudev.homelinux.net}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Wed, 10 Oct 2012 09:06:03 GMT) Full text and rfc822 format available.

Message #71 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Wed, 10 Oct 2012 11:03:38 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-10, 09:16:
>>Shouldn't the copyright file also mention download location for sprop 
>>(i.e. hg.suckless.org) too?
>
>Does source: field allow multiple URL's? According to Debian 
>copyright-format [0] this field can be free form text which means I can 
>put with a note that sprop was got from the different URL like below
>
>Source: http://dl.suckless.org/tools except sprop which was downloaded 
>from hg tip at http://hg.suckless.org

Yes, that would be all right.

>>Would you mind preparing also a package for Wheezy, with *minimal* 
>>fixes for #685611 (and perhaps other bugs that would fit the freeze 
>>criteria[0])?
>
>Yes I can do that I was just not sure whether to do it or not :-). Only 
>problem will be I can track this wheezy source in my current git 
>reposiotory but I guess the old repository still exist and only just 
>renamed. I will prepare this and ping back to you tonight!
>
>Just a note is it okay to change Vcs-* field in this version even 
>though its not mentioned in bug report?

I'd say that updating Vcs-* falls under "4. translation updates and 
documentation fixes".

-- 
Jakub Wilk



Changed Bug title to 'RFS: suckless-tools/38-2 [ITA]' from 'RFS: suckless-tools/39-1 [ITA]' Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 10 Oct 2012 16:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Wed, 10 Oct 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kamathvasudev@gmail.com, 683184@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 10 Oct 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #78 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: 683184@bugs.debian.org
Cc: jwilk@debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Wed, 10 Oct 2012 21:55:31 +0530
[Message part 1 (text/plain, inline)]
On 11:03 Wed 10 Oct     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-10, 09:16:
> >>Shouldn't the copyright file also mention download location for
> >>sprop (i.e. hg.suckless.org) too?
> >
> >Does source: field allow multiple URL's? According to Debian
> >copyright-format [0] this field can be free form text which means
> >I can put with a note that sprop was got from the different URL
> >like below
> >
> >Source: http://dl.suckless.org/tools except sprop which was
> >downloaded from hg tip at http://hg.suckless.org
> 
> Yes, that would be all right.

I will prepare this later.

> 
> >>Would you mind preparing also a package for Wheezy, with
> >>*minimal* fixes for #685611 (and perhaps other bugs that would
> >>fit the freeze criteria[0])?
> >
> >Yes I can do that I was just not sure whether to do it or not :-).
> >Only problem will be I can track this wheezy source in my current
> >git reposiotory but I guess the old repository still exist and
> >only just renamed. I will prepare this and ping back to you
> >tonight!
> >
> >Just a note is it okay to change Vcs-* field in this version even
> >though its not mentioned in bug report?
> 
> I'd say that updating Vcs-* falls under "4. translation updates and
> documentation fixes".
>

I prepared a version with few changes and is at [0]

Changelog

suckless-tools (38-2) unstable; urgency=low

  * debian/control:
    + Added myself as maintainer. (Closes: #647090)
    + Vcs-* fields now points to repository on collab-maint
  * debian/copyright:
    + Converted to copyright-format 1.0. (Closes: #685611)

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Wed, 10 Oct 2012 20:48:05 +0530

 Along with closing the bug I added myself as maintainer but I didn't
 change standards version. I'm not sure if it will be considered as
 major change so please let me know If I need to change it.

 Additionally I gave new repository name as suckless-tools-wheezy.git
 I've not created it yet on collab just would like to know if name is
 okay or you can suggest me better name ;)

 There is also a patch for removing FTBFS on Gnu/hurd but this is
 fixed in new version of dmenu do you think it is good to add this
 patch [1]

[0] https://mentors.debian.net/package/suckless-tools
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=658386

Best Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Wed, 10 Oct 2012 20:15:03 GMT) Full text and rfc822 format available.

Message #81 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Wed, 10 Oct 2012 22:10:26 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-10, 21:55:
>suckless-tools (38-2) unstable; urgency=low
>
>  * debian/control:
>    + Added myself as maintainer. (Closes: #647090)
>    + Vcs-* fields now points to repository on collab-maint
>  * debian/copyright:
>    + Converted to copyright-format 1.0. (Closes: #685611)

"Converted to..." doesn't usually play well with the freeze policy. But 
in this case the required changes are small enough that hopefully the 
Release Team won't mind.

I noticed another flaw of the current copyright file: the license for 
st/* is wrong. Please fix this, too.

>Along with closing the bug I added myself as maintainer

That should be okay.

>but I didn't change standards version.

Very well.

>Additionally I gave new repository name as suckless-tools-wheezy.git 
>I've not created it yet on collab just would like to know if name is 
>okay or you can suggest me better name ;)

I'm not a git expert, but isn't it usual to keep multiple branches in a 
single repository?

>There is also a patch for removing FTBFS on Gnu/hurd but this is fixed 
>in new version of dmenu do you think it is good to add this patch [1]

Hurd is not a release architecture, so I'm pretty sure Release Team 
won't be happy about such a change.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 11 Oct 2012 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 11 Oct 2012 03:51:03 GMT) Full text and rfc822 format available.

Message #86 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 11 Oct 2012 09:17:29 +0530
On Thu, Oct 11, 2012 at 1:40 AM, Jakub Wilk <jwilk@debian.org> wrote:
>
> "Converted to..." doesn't usually play well with the freeze policy. But in
> this case the required changes are small enough that hopefully the Release
> Team won't mind.

Do you think I should change the Phrase like added the Format:
Upstream-Name: and Source field instead?

> I noticed another flaw of the current copyright file: the license for st/*
> is wrong. Please fix this, too.

Ok I will fix this tonight!.

>
>> Along with closing the bug I added myself as maintainer
>
>
> That should be okay.
>
>
>> but I didn't change standards version.
>
>
> Very well.
>
>
>> Additionally I gave new repository name as suckless-tools-wheezy.git I've
>> not created it yet on collab just would like to know if name is okay or you
>> can suggest me better name ;)
>
>
> I'm not a git expert, but isn't it usual to keep multiple branches in a
> single repository?

We can keep if we had the previous history in Git but in my case the
suckless-tools is a fresh repository from 39-1 and previous maintainer
had his own repository in his own domain. So its kinda messy situation
that I can't hold this package history in existing suckless-tools.git.
Or better I host it some where else than collab like github or
gitorious with same name as suckless-tools.git what do you think?


>
>> There is also a patch for removing FTBFS on Gnu/hurd but this is fixed in
>> new version of dmenu do you think it is good to add this patch [1]
>
>
> Hurd is not a release architecture, so I'm pretty sure Release Team won't be
> happy about such a change.

OK I won't apply it since its any how fixed in new version of dmenu

-- 

Vasudev Kamath
http://copyninja.info
copyninja@{frndk.de|vasudev.homelinux.net}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 11 Oct 2012 17:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 11 Oct 2012 17:06:06 GMT) Full text and rfc822 format available.

Message #91 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 11 Oct 2012 22:34:37 +0530
[Message part 1 (text/plain, inline)]
On 22:10 Wed 10 Oct     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-10, 21:55:
> >suckless-tools (38-2) unstable; urgency=low
> >
> > * debian/control:
> >   + Added myself as maintainer. (Closes: #647090)
> >   + Vcs-* fields now points to repository on collab-maint
> > * debian/copyright:
> >   + Converted to copyright-format 1.0. (Closes: #685611)
> 
> "Converted to..." doesn't usually play well with the freeze policy.
> But in this case the required changes are small enough that
> hopefully the Release Team won't mind.

Just changed the wordings a bit. I hope the same :)

> 
> I noticed another flaw of the current copyright file: the license
> for st/* is wrong. Please fix this, too.

Fixed! While fixing that I noticed stterm is also putting wrong
license for st (st is actually duplicated in 2 packages but will be
removed from suckless-tools from 39)

> 
> >Along with closing the bug I added myself as maintainer
> 
> That should be okay.
> 
> >but I didn't change standards version.
> 
> Very well.
> 
> >Additionally I gave new repository name as
> >suckless-tools-wheezy.git I've not created it yet on collab just
> >would like to know if name is okay or you can suggest me better
> >name ;)
> 
> I'm not a git expert, but isn't it usual to keep multiple branches
> in a single repository?
>
I placed source here and mentors package is updated too!

http://anonscm.debian.org/gitweb/?p=collab-maint/suckless-tools-38.git;a=summary

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 11 Oct 2012 18:57:09 GMT) Full text and rfc822 format available.

Message #94 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 11 Oct 2012 20:53:36 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-11, 22:34:
>>>suckless-tools (38-2) unstable; urgency=low
>>>
>>> * debian/control:
>>>   + Added myself as maintainer. (Closes: #647090)
>>>   + Vcs-* fields now points to repository on collab-maint
>>> * debian/copyright:
>>>   + Converted to copyright-format 1.0. (Closes: #685611)
>>"Converted to..." doesn't usually play well with the freeze policy. 
>>But in this case the required changes are small enough that hopefully 
>>the Release Team won't mind.
>Just changed the wordings a bit. I hope the same :)

"license headers" - what's that?

>>I noticed another flaw of the current copyright file: the license for 
>>st/* is wrong. Please fix this, too.
>Fixed!

You fixed the license short name (well, almost; it should be: 
"BSD-3-clause"), but the actual license text (which is more important) 
is still incorrect.

>While fixing that I noticed stterm is also putting wrong license for st 

sterm, on the other hand, has the licence text copied verbatim, but only 
the short license name wrong.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 11 Oct 2012 19:03:03 GMT) Full text and rfc822 format available.

Message #97 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 11 Oct 2012 20:58:54 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-11, 09:17:
>>>Additionally I gave new repository name as suckless-tools-wheezy.git 
>>>I've not created it yet on collab just would like to know if name is 
>>>okay or you can suggest me better name ;)
>>I'm not a git expert, but isn't it usual to keep multiple branches in 
>>a single repository?
>We can keep if we had the previous history in Git but in my case the 
>suckless-tools is a fresh repository from 39-1 and previous maintainer 
>had his own repository in his own domain. So its kinda messy situation 
>that I can't hold this package history in existing suckless-tools.git. 
>Or better I host it some where else than collab like github or 
>gitorious with same name as suckless-tools.git what do you think?

New repository for the squeeze branch feels wrong to me, but I'm not 
really qualified to give you any advice. Maybe other -mentors@ readers 
could chime in?

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Fri, 12 Oct 2012 03:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 12 Oct 2012 03:33:07 GMT) Full text and rfc822 format available.

Message #102 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Fri, 12 Oct 2012 08:59:19 +0530
On Fri, Oct 12, 2012 at 12:23 AM, Jakub Wilk <jwilk@debian.org> wrote:
>
> "license headers" - what's that?
>

Err..

>>> I noticed another flaw of the current copyright file: the license for
>>> st/* is wrong. Please fix this, too.
>>
>> Fixed!
>
>
> You fixed the license short name (well, almost; it should be:
> "BSD-3-clause"), but the actual license text (which is more important) is
> still incorrect.

Err
>
>> While fixing that I noticed stterm is also putting wrong license for st
>
>
> sterm, on the other hand, has the licence text copied verbatim, but only the
> short license name wrong.

yes :)

So much for doing the work when I was sleepy :(. I will fix it tonight

-- 

Vasudev Kamath
http://copyninja.info
copyninja@{frndk.de|vasudev.homelinux.net}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Fri, 12 Oct 2012 03:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 12 Oct 2012 03:33:09 GMT) Full text and rfc822 format available.

Message #107 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Fri, 12 Oct 2012 09:01:39 +0530
On Fri, Oct 12, 2012 at 12:28 AM, Jakub Wilk <jwilk@debian.org> wrote:
> New repository for the squeeze branch feels wrong to me, but I'm not really
> qualified to give you any advice. Maybe other -mentors@ readers could chime
> in?

Well it is actually wrong but I can't see other altenative but I think
I will try it on -mentors and see if others have any good idea.

One thing I can think is just remove existing suckless-tools
repository (I any how have my local copy) then rename
suckless-tools-38 to suckless-tools and on top of this import my 39
work so 38 history and 39 both can leave together. Let me see

Best Regards


-- 

Vasudev Kamath
http://copyninja.info
copyninja@{frndk.de|vasudev.homelinux.net}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sat, 13 Oct 2012 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kamathvasudev@gmail.com, 683184@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sat, 13 Oct 2012 16:45:03 GMT) Full text and rfc822 format available.

Message #112 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sat, 13 Oct 2012 22:10:22 +0530
[Message part 1 (text/plain, inline)]
On 20:53 Thu 11 Oct     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-11, 22:34:
> >>>suckless-tools (38-2) unstable; urgency=low
> >>>
> >>>* debian/control:
> >>>  + Added myself as maintainer. (Closes: #647090)
> >>>  + Vcs-* fields now points to repository on collab-maint
> >>>* debian/copyright:
> >>>  + Converted to copyright-format 1.0. (Closes: #685611)
> >>"Converted to..." doesn't usually play well with the freeze
> >>policy. But in this case the required changes are small enough
> >>that hopefully the Release Team won't mind.
> >Just changed the wordings a bit. I hope the same :)
> 
> "license headers" - what's that?
Fixed it :-)
> 
> >>I noticed another flaw of the current copyright file: the
> >>license for st/* is wrong. Please fix this, too.
> >Fixed!
> 
> You fixed the license short name (well, almost; it should be:
> "BSD-3-clause"), but the actual license text (which is more
> important) is still incorrect.

Fixed it too...

Ah and now it points to suckless-tools.git once you upload this
version I will bring in the 39 from my local repository. Hope it works
fine :)

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 14 Oct 2012 09:48:03 GMT) Full text and rfc822 format available.

Message #115 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 14 Oct 2012 11:45:46 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-13, 22:10:
>>>>>  + Converted to copyright-format 1.0. (Closes: #685611)
>>>>"Converted to..." doesn't usually play well with the freeze policy. 
>>>>But in this case the required changes are small enough that 
>>>>hopefully the Release Team won't mind.
>>>Just changed the wordings a bit. I hope the same :)
>>"license headers" - what's that?
>Fixed it :-)

Another thing you changed (and which is not currently covered by the 
changelog) is removal of commas from Files fields.

Something went wrong when building source package; lintian emits:

W: suckless-tools source: native-package-with-dash-version
W: suckless-tools source: diff-contains-git-control-dir .git

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 14 Oct 2012 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 683184@bugs.debian.org, kamathvasudev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 14 Oct 2012 10:45:03 GMT) Full text and rfc822 format available.

Message #120 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 14 Oct 2012 16:09:56 +0530
[Message part 1 (text/plain, inline)]
On 11:45 Sun 14 Oct     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-13, 22:10:
> >>>>> + Converted to copyright-format 1.0. (Closes: #685611)
> >>>>"Converted to..." doesn't usually play well with the freeze
> >>>>policy. But in this case the required changes are small
> >>>>enough that hopefully the Release Team won't mind.
> >>>Just changed the wordings a bit. I hope the same :)
> >>"license headers" - what's that?
> >Fixed it :-)
> 
> Another thing you changed (and which is not currently covered by the
> changelog) is removal of commas from Files fields.

I see previous changelog had converted to copyright-format 1.0 which
will cover removal of , but then I changed the phrase so yes I will
add this line to changelog


> 
> Something went wrong when building source package; lintian emits:
> 
> W: suckless-tools source: native-package-with-dash-version

Yeah I saw these but I think changing the version number will cause
lot of problem right? And possibly will not be accepted by
release-team so I didn't touch it. And 39 version will be quilt format
so this error will go.

I think proper way to version native package is 1:38.1 1:38.2 etc right?

> W: suckless-tools source: diff-contains-git-control-dir .git

Ehm how did this happen! I just ran pdebuild probably I should have
run it using -I.git option. (And after that it looks fine).

Okay updated package is uploaded to mentors.

Best Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 14 Oct 2012 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 14 Oct 2012 20:06:03 GMT) Full text and rfc822 format available.

Message #125 received at 683184@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Vasudev Kamath <kamathvasudev@gmail.com>
Cc: 683184@bugs.debian.org, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 14 Oct 2012 14:53:42 +0200
Hi,

(meta: I'm Vasudev's AM ;)

Vasudev Kamath wrote (12 Oct 2012 03:31:39 GMT) :
> On Fri, Oct 12, 2012 at 12:28 AM, Jakub Wilk <jwilk@debian.org> wrote:
>> New repository for the squeeze branch feels wrong to me

FWIW it feels wrong to me to. That's what branches are for.

Note that branches in the same repository don't necessarily have to
share common ancestors: e.g. the pristine-tar branch, when using gbp +
pristine-tar, does not share its history with the upstream and
packaging branches.

> Well it is actually wrong but I can't see other altenative but
> I think I will try it on -mentors and see if others have any
> good idea.

> One thing I can think is just remove existing suckless-tools
> repository (I any how have my local copy) then rename
> suckless-tools-38 to suckless-tools and on top of this import my 39
> work so 38 history and 39 both can leave together. Let me see

Rewriting already published branches' history is a no-go.

What I would suggest is:

  * create a squeeze branch in the existing repository (from scratch,
    no shared ancestors)
  * import the needed and missing (older) version into the squeeze
    branch
  * git checkout master && git merge -s ours squeeze

Also, given "previous maintainer had his own repository in his own
domain", importing their history, merged with "ours" strategy, may be
an option too.

Cheers!
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 14 Oct 2012 20:33:02 GMT) Full text and rfc822 format available.

Message #128 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 14 Oct 2012 22:28:38 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-14, 16:09:
>>W: suckless-tools source: native-package-with-dash-version
>Yeah I saw these but I think changing the version number will cause lot 
>of problem right?

It's not the version that is wrong. -1 was a non-native package, and so 
should be -2. Quoting the tag description:
"Native source packages are sometimes created by accident. In most cases 
the reason is the location of the original source tarball. For version 
1.0 source packages, dpkg-source determines whether they're non-native 
by looking for a file named <package>_<upversion>.orig.tar.gz in the 
parent directory, where <upversion> is the upstream version from the 
most recent debian/changelog entry."

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 15 Oct 2012 03:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Mon, 15 Oct 2012 03:48:03 GMT) Full text and rfc822 format available.

Message #133 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: intrigeri <intrigeri@debian.org>
Cc: 683184@bugs.debian.org, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 15 Oct 2012 09:13:55 +0530
On Sun, Oct 14, 2012 at 6:23 PM, intrigeri <intrigeri@debian.org> wrote:
> Hi,
>
> (meta: I'm Vasudev's AM ;)
>
> Vasudev Kamath wrote (12 Oct 2012 03:31:39 GMT) :
>> On Fri, Oct 12, 2012 at 12:28 AM, Jakub Wilk <jwilk@debian.org> wrote:
>>> New repository for the squeeze branch feels wrong to me
>
> FWIW it feels wrong to me to. That's what branches are for.
>
> Note that branches in the same repository don't necessarily have to
> share common ancestors: e.g. the pristine-tar branch, when using gbp +
> pristine-tar, does not share its history with the upstream and
> packaging branches.

Agreed!
>
>> Well it is actually wrong but I can't see other altenative but
>> I think I will try it on -mentors and see if others have any
>> good idea.
>
>> One thing I can think is just remove existing suckless-tools
>> repository (I any how have my local copy) then rename
>> suckless-tools-38 to suckless-tools and on top of this import my 39
>> work so 38 history and 39 both can leave together. Let me see
>
> Rewriting already published branches' history is a no-go.

Yes but 39 version isn't uploaded yet so do you think its published!

>
> What I would suggest is:
>
>   * create a squeeze branch in the existing repository (from scratch,
>     no shared ancestors)
>   * import the needed and missing (older) version into the squeeze
>     branch

OK I will try that!

>   * git checkout master && git merge -s ours squeeze

Well I don't really think I can merge it back to master! Reason master
has gone in a different path 38 version is a native package and 39 is
3.0 quilt format with multi orig tarballs! To give more idea on what
I'm talking please have a look at [1]

[1] http://anonscm.debian.org/gitweb/?p=collab-maint/suckless-tools-39.git;a=summary

So what really I was doing is prepared a new repository importing
suckless-tools 38-1 version and once 38-2 is uploaded I was planning
to get the patches of 39 repo and apply it to suckless-tools-38
repository. I agree it is rewriting of history but I thought that is
better alternative I had.

> Also, given "previous maintainer had his own repository in his own
> domain", importing their history, merged with "ours" strategy, may be
> an option too.

Well unfortunately that repository no more exists! I don't know what
happened but I guess either domain moved or something else happened.


-- 

Vasudev Kamath
http://copyninja.info
copyninja@{frndk.de|vasudev.homelinux.net}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 15 Oct 2012 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Mon, 15 Oct 2012 03:51:03 GMT) Full text and rfc822 format available.

Message #138 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 15 Oct 2012 09:19:05 +0530
On Mon, Oct 15, 2012 at 1:58 AM, Jakub Wilk <jwilk@debian.org> wrote:
> It's not the version that is wrong. -1 was a non-native package, and so
> should be -2. Quoting the tag description:
> "Native source packages are sometimes created by accident. In most cases the
> reason is the location of the original source tarball. For version 1.0
> source packages, dpkg-source determines whether they're non-native by
> looking for a file named <package>_<upversion>.orig.tar.gz in the parent
> directory, where <upversion> is the upstream version from the most recent
> debian/changelog entry."

Still not sure if I understood correctly looking at changelog [1] I
see upstream version is still 38. Well let me try again with current
version in Debian and 38-2 to see what is the difference

[1] http://anonscm.debian.org/gitweb/?p=collab-maint/suckless-tools.git;a=blob;f=debian/changelog;h=b8dc752fc98de1894415f041b3c52de782dd408b;hb=HEAD

-- 

Vasudev Kamath
http://copyninja.info
copyninja@{frndk.de|vasudev.homelinux.net}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 15 Oct 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 683184@bugs.debian.org, kamathvasudev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Mon, 15 Oct 2012 14:45:03 GMT) Full text and rfc822 format available.

Message #143 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 15 Oct 2012 20:13:14 +0530
[Message part 1 (text/plain, inline)]
On 22:28 Sun 14 Oct     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-14, 16:09:
> >>W: suckless-tools source: native-package-with-dash-version
> >Yeah I saw these but I think changing the version number will
> >cause lot of problem right?
> 
> It's not the version that is wrong. -1 was a non-native package, and
> so should be -2. Quoting the tag description:
> "Native source packages are sometimes created by accident. In most
> cases the reason is the location of the original source tarball. For
> version 1.0 source packages, dpkg-source determines whether they're
> non-native by looking for a file named
> <package>_<upversion>.orig.tar.gz in the parent directory, where
> <upversion> is the upstream version from the most recent
> debian/changelog entry."

Now understood the issue correctly. I was using pdebuild and I don't
know how it started considering 38-2 as the orig tarball! Well now I
used the git-buildpackage and it looks fine.

Also now as intregeri said I've moved the package on separate branch
called in Wheezy. Master branch tracks only 39 version. Please review
and let me know if any more things needs to be fixed

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 15 Oct 2012 14:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 683184@bugs.debian.org, kamathvasudev@gmail.com, Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Mon, 15 Oct 2012 14:51:06 GMT) Full text and rfc822 format available.

Message #148 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: intrigeri <intrigeri@debian.org>
Cc: 683184@bugs.debian.org, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 15 Oct 2012 20:17:36 +0530
[Message part 1 (text/plain, inline)]
On 14:53 Sun 14 Oct     , intrigeri wrote:
> Hi,
> 
> (meta: I'm Vasudev's AM ;)
> 
> Vasudev Kamath wrote (12 Oct 2012 03:31:39 GMT) :
> > On Fri, Oct 12, 2012 at 12:28 AM, Jakub Wilk <jwilk@debian.org> wrote:
> >> New repository for the squeeze branch feels wrong to me
> 
> FWIW it feels wrong to me to. That's what branches are for.
> 
> Note that branches in the same repository don't necessarily have to
> share common ancestors: e.g. the pristine-tar branch, when using gbp +
> pristine-tar, does not share its history with the upstream and
> packaging branches.
> 
> > Well it is actually wrong but I can't see other altenative but
> > I think I will try it on -mentors and see if others have any
> > good idea.
> 
> > One thing I can think is just remove existing suckless-tools
> > repository (I any how have my local copy) then rename
> > suckless-tools-38 to suckless-tools and on top of this import my 39
> > work so 38 history and 39 both can leave together. Let me see
> 
> Rewriting already published branches' history is a no-go.
> 
> What I would suggest is:
> 
>   * create a squeeze branch in the existing repository (from scratch,
>     no shared ancestors)
>   * import the needed and missing (older) version into the squeeze
>     branch

Done the package now resides under wheezy branch. To be frank every
problem has simple solution :) I was overly complicating it thanks for
heads up ;)

>   * git checkout master && git merge -s ours squeeze

Well *wheezy* branch will go independent of master. If you think it
can be merged please let me know your thoughts :-)

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 15 Oct 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Mon, 15 Oct 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #153 received at 683184@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Vasudev Kamath <kamathvasudev@gmail.com>
Cc: 683184@bugs.debian.org, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 15 Oct 2012 19:08:57 +0200
Hi,

Vasudev Kamath wrote (15 Oct 2012 03:43:55 GMT) :
>>   * git checkout master && git merge -s ours squeeze

> Well I don't really think I can merge it back to master!

I think you should read the documentation about "-s ours",
before concluding you can't merge it back to master.

> Well unfortunately that repository no more exists! I don't know what
> happened but I guess either domain moved or something else happened.

Have you tried asking the previous maintainer to provide you with
their old repository's history?

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 15 Oct 2012 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Mon, 15 Oct 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #158 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: intrigeri <intrigeri@debian.org>
Cc: 683184@bugs.debian.org, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 15 Oct 2012 23:08:41 +0530
[Message part 1 (text/plain, inline)]
On 19:08 Mon 15 Oct     , intrigeri wrote:
> Hi,
> 
> Vasudev Kamath wrote (15 Oct 2012 03:43:55 GMT) :
> >>   * git checkout master && git merge -s ours squeeze
> 
> > Well I don't really think I can merge it back to master!
> 
> I think you should read the documentation about "-s ours",
> before concluding you can't merge it back to master.

Tried that but what here happens is wheezy branch is based on master
which doesn't have any 38 related history at all. So merging will
overwrite my 39 work. (I tried this)

> 
> > Well unfortunately that repository no more exists! I don't know what
> > happened but I guess either domain moved or something else happened.
> 
> Have you tried asking the previous maintainer to provide you with
> their old repository's history?

No I didn't take over directly, it was a bit of mess again one more
guy wanted to take over but since he didn't had much time I took over
from his work. 

Best Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 15 Oct 2012 21:33:03 GMT) Full text and rfc822 format available.

Message #161 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 15 Oct 2012 23:28:25 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-15, 20:13:
>Now understood the issue correctly. I was using pdebuild and I don't 
>know how it started considering 38-2 as the orig tarball! Well now I 
>used the git-buildpackage and it looks fine.

Indeed, it looks okay now.

Why are there 2 newlines between the paragraphs in debian/control? It's 
not clear to me whether this is compliant with Policy §5.1 (though 
admittedly both dpkg and debhelper parsers are happy about it). Could 
you remove the extra newline?

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Tue, 16 Oct 2012 04:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 16 Oct 2012 04:27:03 GMT) Full text and rfc822 format available.

Message #166 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Tue, 16 Oct 2012 09:54:33 +0530
On Tue, Oct 16, 2012 at 2:58 AM, Jakub Wilk <jwilk@debian.org> wrote:
> Indeed, it looks okay now.
>
> Why are there 2 newlines between the paragraphs in debian/control? It's not
> clear to me whether this is compliant with Policy §5.1 (though admittedly
> both dpkg and debhelper parsers are happy about it). Could you remove the
> extra newline?

Well I guess I introduced it while patching from my already finished
work! Let me fix it tonight

-- 

Vasudev Kamath
http://copyninja.info
copyninja@{frndk.de|vasudev.homelinux.net}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Tue, 16 Oct 2012 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 16 Oct 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #171 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Tue, 16 Oct 2012 22:57:44 +0530
[Message part 1 (text/plain, inline)]
On 23:28 Mon 15 Oct     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-15, 20:13:
> >Now understood the issue correctly. I was using pdebuild and I
> >don't know how it started considering 38-2 as the orig tarball!
> >Well now I used the git-buildpackage and it looks fine.
> 
> Indeed, it looks okay now.
> 
> Why are there 2 newlines between the paragraphs in debian/control?
> It's not clear to me whether this is compliant with Policy §5.1
> (though admittedly both dpkg and debhelper parsers are happy about
> it). Could you remove the extra newline?
>
Done updated package in repo and in git

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Wed, 17 Oct 2012 12:09:07 GMT) Full text and rfc822 format available.

Message #174 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Wed, 17 Oct 2012 14:08:10 +0200
Control: clone -1 -2
Control: close -2
Control: retitle -1 RFS: suckless-tools/39-1

I uploaded suckless-tools 38-2. Release Team normally notices and 
unblocks uploads fixing RC bugs themselves, but if this doesn't happen 
in a few days, please request an unblock (reportbug release.debian.org).

-- 
Jakub Wilk



Changed Bug title to 'RFS: suckless-tools/39-1' from 'RFS: suckless-tools/38-2 [ITA]' Request was from Jakub Wilk <jwilk@debian.org> to 683184-submit@bugs.debian.org. (Wed, 17 Oct 2012 12:09:07 GMT) Full text and rfc822 format available.

Reply sent to Bart Martens <bartm@quantz.debian.org>:
You have taken responsibility. (Wed, 17 Oct 2012 16:21:11 GMT) Full text and rfc822 format available.

Notification sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Bug acknowledged by developer. (Wed, 17 Oct 2012 16:21:11 GMT) Full text and rfc822 format available.

Message #181 received at 683184-done@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@quantz.debian.org>
To: 683184-done@bugs.debian.org
Subject: closing RFS: suckless-tools/39-1
Date: Wed, 17 Oct 2012 16:20:14 +0000
Package suckless-tools has been removed from mentors.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Wed, 17 Oct 2012 19:24:03 GMT) Full text and rfc822 format available.

Message #184 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: closing RFS: suckless-tools/39-1
Date: Wed, 17 Oct 2012 21:20:28 +0200
Control: reopen -1

* Bart Martens <bartm@quantz.debian.org>, 2012-10-17, 16:20:
>Package suckless-tools has been removed from mentors.

That's not a reason to close an RFS.

-- 
Jakub Wilk



Bug reopened Request was from Jakub Wilk <jwilk@debian.org> to 683184-submit@bugs.debian.org. (Wed, 17 Oct 2012 19:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 21 Oct 2012 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 21 Oct 2012 14:39:03 GMT) Full text and rfc822 format available.

Message #191 received at 683184@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Vasudev Kamath <kamathvasudev@gmail.com>
Cc: 683184@bugs.debian.org, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 21 Oct 2012 14:23:56 +0200
Vasudev Kamath wrote (15 Oct 2012 17:38:41 GMT) :
> On 19:08 Mon 15 Oct     , intrigeri wrote:
>> I think you should read the documentation about "-s ours",
>> before concluding you can't merge it back to master.

> Tried that but what here happens is wheezy branch is based on master
> which doesn't have any 38 related history at all. So merging will
> overwrite my 39 work. (I tried this)

It's unclear to me how "git merge -s ours", if done in the correct
direction, could overwrite any work in the current branch, but I may
have misunderstood the problem entirely, and I don't care that much,
so let's leave it at that.

Cheers!



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 25 Oct 2012 06:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to kamathvasudev@gmail.com, 683184@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 25 Oct 2012 06:27:03 GMT) Full text and rfc822 format available.

Message #196 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 25 Oct 2012 11:54:17 +0530
[Message part 1 (text/plain, inline)]
On 22:23 Tue 09 Oct     , Jakub Wilk wrote:
> Shouldn't the copyright file also mention download location for
> sprop (i.e. hg.suckless.org) too?
> 
> I'd prefer if create_get_orig source downloaded a specific revision
> of prop (currently ecfe2752b310) rather than tip. That would make
> the script more deterministic.

Done. I've contacted upstream author to get it in same download
location but since he is out of the development for a while I need to
contact Anselm from suckless community to get it there.

Besides this he was suggesting to get individual binaries involved in
suckless-tools as separate binaries. (i.e. multiple binary single
source package) What do you suggest?

Besides this I updated changelog to merge changelog of 38-2 version
and then update 39-1 changelog to remove already closed bug
references. I added closes to 658386 in changelog as new dmenu fixes
it. And I updated the Standards-version to 3.9.4

When I run bhlc on build log of new package I get this
http://sprunge.us/CiYR But as far as I know this should be
automatically introduced when using compat level 9 with debhelper >= 9
right? Or am I missing something?


Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 25 Oct 2012 14:12:03 GMT) Full text and rfc822 format available.

Message #199 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 25 Oct 2012 16:09:45 +0200
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-25, 11:54:
>>Shouldn't the copyright file also mention download location for sprop 
>>(i.e. hg.suckless.org) too?
>>
>>I'd prefer if create_get_orig source downloaded a specific revision of 
>>prop (currently ecfe2752b310) rather than tip. That would make the 
>>script more deterministic.
>
>Done. I've contacted upstream author to get it in same download 
>location but since he is out of the development for a while I need to 
>contact Anselm from suckless community to get it there.
>
>Besides this he was suggesting to get individual binaries involved in 
>suckless-tools as separate binaries. (i.e. multiple binary single 
>source package) What do you suggest?

The binaries are very small, and their dependencies aren't big either, 
so I don't really see a point.

>Besides this I updated changelog to merge changelog of 38-2 version and 
>then update 39-1 changelog to remove already closed bug references. I 
>added closes to 658386 in changelog as new dmenu fixes it. And I 
>updated the Standards-version to 3.9.4

"Copyright file now adheres to Debian copyright-format 1.0" should be 
removed from 39-1 entry, as it was fixed in 38-2.

>When I run bhlc on build log of new package I get this 
>http://sprunge.us/CiYR But as far as I know this should be 
>automatically introduced when using compat level 9 with debhelper >= 9 
>right? Or am I missing something?

Perhaps 02_dpkg-buildflags.patch needs to be improved? :)

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 28 Oct 2012 05:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 683184@bugs.debian.org, kamathvasudev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 28 Oct 2012 05:18:03 GMT) Full text and rfc822 format available.

Message #204 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 28 Oct 2012 10:45:45 +0530
[Message part 1 (text/plain, inline)]
On 16:09 Thu 25 Oct     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-25, 11:54:
> >>Shouldn't the copyright file also mention download location for
> >>sprop (i.e. hg.suckless.org) too?
> >>
> >>I'd prefer if create_get_orig source downloaded a specific
> >>revision of prop (currently ecfe2752b310) rather than tip. That
> >>would make the script more deterministic.
> >
> >Done. I've contacted upstream author to get it in same download
> >location but since he is out of the development for a while I need
> >to contact Anselm from suckless community to get it there.
> >
> >Besides this he was suggesting to get individual binaries involved
> >in suckless-tools as separate binaries. (i.e. multiple binary
> >single source package) What do you suggest?
> 
> The binaries are very small, and their dependencies aren't big
> either, so I don't really see a point.

Ok so I will leave them in single package but there are some scattering
like ii and sic which are out there as independent packages all these
are part of tools in suckless community.

> 
> >Besides this I updated changelog to merge changelog of 38-2
> >version and then update 39-1 changelog to remove already closed
> >bug references. I added closes to 658386 in changelog as new dmenu
> >fixes it. And I updated the Standards-version to 3.9.4
> 
> "Copyright file now adheres to Debian copyright-format 1.0" should
> be removed from 39-1 entry, as it was fixed in 38-2.
Done
> 
> >When I run bhlc on build log of new package I get this
> >http://sprunge.us/CiYR But as far as I know this should be
> >automatically introduced when using compat level 9 with debhelper
> >>= 9 right? Or am I missing something?
> 
> Perhaps 02_dpkg-buildflags.patch needs to be improved? :)

Fixed :-)

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 28 Oct 2012 12:45:03 GMT) Full text and rfc822 format available.

Message #207 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 28 Oct 2012 13:40:36 +0100
[Message part 1 (text/plain, inline)]
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-28, 10:45:
>>>>I'd prefer if create_get_orig source downloaded a specific revision 
>>>>of prop (currently ecfe2752b310) rather than tip. That would make 
>>>>the script more deterministic.
>>>Done.

Okay, how about this patch? (see attachment)

I wonder what is the purpose of ssid. The manpage says it's "an 
extremly[0] simple setsid replacement". But setsid itself _is_ extremely 
simple. In fact, if you compare ssid.c with setsid.c (from util-linux), 
you'll see they're almost identical.


[0] Typo!

-- 
Jakub Wilk
[suckless-tools-sprop-revision-variable.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 28 Oct 2012 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>, 683184@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 28 Oct 2012 14:00:03 GMT) Full text and rfc822 format available.

Message #212 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 28 Oct 2012 19:27:47 +0530
[Message part 1 (text/plain, inline)]
On 13:40 Sun 28 Oct     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-28, 10:45:
> >>>>I'd prefer if create_get_orig source downloaded a specific
> >>>>revision of prop (currently ecfe2752b310) rather than tip.
> >>>>That would make the script more deterministic.
> >>>Done.
> 
> Okay, how about this patch? (see attachment)

Applied, thanks for the patch :-)

> 
> I wonder what is the purpose of ssid. The manpage says it's "an
> extremly[0] simple setsid replacement". But setsid itself _is_
> extremely simple. In fact, if you compare ssid.c with setsid.c (from
> util-linux), you'll see they're almost identical.

Yes they both are identical even I don't know why this tool even
created! I will contact Anselm.


-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 28 Oct 2012 14:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to kamathvasudev@gmail.com, 683184@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 28 Oct 2012 14:57:07 GMT) Full text and rfc822 format available.

Message #217 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 28 Oct 2012 20:24:53 +0530
[Message part 1 (text/plain, inline)]
On 19:27 Sun 28 Oct     , Vasudev Kamath wrote:
> On 13:40 Sun 28 Oct     , Jakub Wilk wrote:
> > * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-28, 10:45:
> > >>>>I'd prefer if create_get_orig source downloaded a specific
> > >>>>revision of prop (currently ecfe2752b310) rather than tip.
> > >>>>That would make the script more deterministic.
> > >>>Done.
> > 
> > Okay, how about this patch? (see attachment)
> 
> Applied, thanks for the patch :-)
> 
> > 
> > I wonder what is the purpose of ssid. The manpage says it's "an
> > extremly[0] simple setsid replacement". But setsid itself _is_
> > extremely simple. In fact, if you compare ssid.c with setsid.c (from
> > util-linux), you'll see they're almost identical.
> 
> Yes they both are identical even I don't know why this tool even
> created! I will contact Anselm.

Updated slock to 1.1 version changes pushed back to git


-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 28 Oct 2012 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kamathvasudev@gmail.com, 683184@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 28 Oct 2012 17:39:03 GMT) Full text and rfc822 format available.

Message #222 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: 683184@bugs.debian.org, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 28 Oct 2012 23:06:53 +0530
[Message part 1 (text/plain, inline)]
On 13:40 Sun 28 Oct     , Jakub Wilk wrote:
<snipped out as this is not relevant for this reply>

Anselm got sprop a place in dl.suckless.org so I reverted copyright to
its original format and modified create_orig_source to refer
dl.suckless.org.

Changes are back in the git

Best Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 29 Oct 2012 17:03:09 GMT) Full text and rfc822 format available.

Message #225 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 29 Oct 2012 17:59:46 +0100
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-28, 23:06:
>Anselm got sprop a place in dl.suckless.org so I reverted copyright to 
>its original format and modified create_orig_source to refer 
>dl.suckless.org.

I can't build source package anymore:
| dpkg-source: info: local changes detected, the modified files are:
|  git/sprop/.hg_archival.txt
| dpkg-source: info: you can integrate the local changes with dpkg-source --commit

.hg_archival.txt is no longer in sprop tarball, so it should be removed 
from the repository, too.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Tue, 30 Oct 2012 03:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 30 Oct 2012 03:45:04 GMT) Full text and rfc822 format available.

Message #230 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Tue, 30 Oct 2012 09:09:37 +0530
On Mon, Oct 29, 2012 at 10:29 PM, Jakub Wilk <jwilk@debian.org> wrote:
> I can't build source package anymore:
> | dpkg-source: info: local changes detected, the modified files are:
> |  git/sprop/.hg_archival.txt
> | dpkg-source: info: you can integrate the local changes with dpkg-source
> --commit
>
> .hg_archival.txt is no longer in sprop tarball, so it should be removed from
> the repository, too.

Ah yes! I forgot to delete it will do it tonight



-- 

Vasudev Kamath
http://copyninja.info
copyninja@{frndk.de|vasudev.homelinux.net}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Tue, 30 Oct 2012 15:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to kamathvasudev@gmail.com, 683184@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 30 Oct 2012 15:06:09 GMT) Full text and rfc822 format available.

Message #235 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Tue, 30 Oct 2012 20:32:23 +0530
[Message part 1 (text/plain, inline)]
On 17:59 Mon 29 Oct     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-28, 23:06:
> >Anselm got sprop a place in dl.suckless.org so I reverted
> >copyright to its original format and modified create_orig_source
> >to refer dl.suckless.org.
> 
> I can't build source package anymore:
> | dpkg-source: info: local changes detected, the modified files are:
> |  git/sprop/.hg_archival.txt
> | dpkg-source: info: you can integrate the local changes with dpkg-source --commit
> 
> .hg_archival.txt is no longer in sprop tarball, so it should be
> removed from the repository, too.
>

Done and changes back in the git.


Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 04 Nov 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #238 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 4 Nov 2012 20:33:05 +0100
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-30, 20:32:
>>.hg_archival.txt is no longer in sprop tarball, so it should be 
>>removed from the repository, too.
>Done and changes back in the git.

I don't see any relevant changes in the repository…

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 05 Nov 2012 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Mon, 05 Nov 2012 15:03:05 GMT) Full text and rfc822 format available.

Message #243 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 5 Nov 2012 20:30:43 +0530
[Message part 1 (text/plain, inline)]
On 20:33 Sun 04 Nov     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-10-30, 20:32:
> >>.hg_archival.txt is no longer in sprop tarball, so it should be
> >>removed from the repository, too.
> >Done and changes back in the git.
> 
> I don't see any relevant changes in the repository…
>
Sorry forgot to push ;-). Now it is really in git :-D

Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Wed, 07 Nov 2012 16:57:03 GMT) Full text and rfc822 format available.

Message #246 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Wed, 7 Nov 2012 17:55:20 +0100
Addition of debian/README.slock.Debian doesn't seem to be documented in 
the changelog.

debian/watch contains only a single line "version=3"? Is that 
intentional? As far as I can see, this change is not documented in the 
changelog.

" * Merge new version 39" - sorry, what does it mean? AFAIUI the package 
version number is completely Debian-specific, so I don't understand 
_what_ has been merged here.

"* Vcs-Git and Vcs-Browser now points to collab-maint repository" - this 
has been already fixed in 38-2. Is the switch from 
http://anonscm.debian.org/ to http://git.debian.org/ intentional?

Typo in the changelog: ssidd -> ssid.

At least for lsw, dmenu and tabbed, copyright statement in 
d/copyright don't match those in LICENSE files. Please update the 
copyright file.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sat, 10 Nov 2012 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kamathvasudev@gmail.com, 683184@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sat, 10 Nov 2012 06:03:03 GMT) Full text and rfc822 format available.

Message #251 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sat, 10 Nov 2012 11:28:48 +0530
[Message part 1 (text/plain, inline)]
On 17:55 Wed 07 Nov     , Jakub Wilk wrote:
> Addition of debian/README.slock.Debian doesn't seem to be documented
> in the changelog.

Done now.. Sorry I missed that file also I updated the file now to
reflect changes in slock 1.1

> 
> debian/watch contains only a single line "version=3"? Is that
> intentional? As far as I can see, this change is not documented in
> the changelog.

Yes file is introduced to suppress the lintian warning. Do you think I
need to remove that file? Also now documented it in changelog

> 
> " * Merge new version 39" - sorry, what does it mean? AFAIUI the
> package version number is completely Debian-specific, so I don't
> understand _what_ has been merged here.

Yeah I didn't think of that when writing it :-). Now rephrased it as
created version 39 with bit more info on what is introduced as new.

> 
> "* Vcs-Git and Vcs-Browser now points to collab-maint repository" -
> this has been already fixed in 38-2. Is the switch from
> http://anonscm.debian.org/ to http://git.debian.org/ intentional?

It was introduced by Michael I didn't notice it now fixed.

> Typo in the changelog: ssidd -> ssid.
>

Fixed

> At least for lsw, dmenu and tabbed, copyright statement in
> d/copyright don't match those in LICENSE files. Please update the
> copyright file.
>
Fixed

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 11 Nov 2012 00:42:03 GMT) Full text and rfc822 format available.

Message #254 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 11 Nov 2012 01:38:28 +0100
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-10, 11:28:
>>debian/watch contains only a single line "version=3"? Is that 
>>intentional? As far as I can see, this change is not documented in the 
>>changelog.
>Yes file is introduced to suppress the lintian warning. Do you think I 
>need to remove that file?

Nah, keep it. A comment inside the watch file explaining that it's 
intentionally defunct would be helpful. But now that the change is 
included in the changelog, I can live without it.

>>At least for lsw, dmenu and tabbed, copyright statement in d/copyright 
>>don't match those in LICENSE files. Please update the copyright file.
>Fixed

It's getting better. :)

tabbed/LICENSE has "2009-2011 Enno Boland", but it's only "2009-2010" in 
d/copyright.

DEP-5 says "License names are case-insensitive, and may not contain 
spaces" and "There are many versions of the MIT license. Please use 
Expat instead, when it matches."

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 11 Nov 2012 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 683184@bugs.debian.org, kamathvasudev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 11 Nov 2012 07:30:03 GMT) Full text and rfc822 format available.

Message #259 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 11 Nov 2012 12:55:06 +0530
[Message part 1 (text/plain, inline)]
On 01:38 Sun 11 Nov     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-10, 11:28:
> >>debian/watch contains only a single line "version=3"? Is that
> >>intentional? As far as I can see, this change is not documented
> >>in the changelog.
> >Yes file is introduced to suppress the lintian warning. Do you
> >think I need to remove that file?
> 
> Nah, keep it. A comment inside the watch file explaining that it's
> intentionally defunct would be helpful. But now that the change is
> included in the changelog, I can live without it.

OK :)

> 
> >>At least for lsw, dmenu and tabbed, copyright statement in
> >>d/copyright don't match those in LICENSE files. Please update
> >>the copyright file.
> >Fixed
> 
> It's getting better. :)
> 
> tabbed/LICENSE has "2009-2011 Enno Boland", but it's only
> "2009-2010" in d/copyright.

Eh I missed it writing copyright is really boring ;-)

> 
> DEP-5 says "License names are case-insensitive, and may not contain
> spaces" and "There are many versions of the MIT license. Please use
> Expat instead, when it matches."

Done changed to Expat License.


-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 11 Nov 2012 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 11 Nov 2012 08:24:03 GMT) Full text and rfc822 format available.

Message #264 received at 683184@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 11 Nov 2012 09:20:40 +0100
Jakub Wilk wrote (11 Nov 2012 00:38:28 GMT) :
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-10, 11:28:
>>> debian/watch contains only a single line "version=3"? Is that intentional? As far
>>> as I can see, this change is not documented in the changelog.
>> Yes file is introduced to suppress the lintian warning.

A Lintian override would be less hackish, and would express the intent
a bit more clearly, wouldn't it?

Cheers!
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Sun, 11 Nov 2012 09:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to kamathvasudev@gmail.com, 683184@bugs.debian.org, intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 11 Nov 2012 09:42:03 GMT) Full text and rfc822 format available.

Message #269 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: intrigeri <intrigeri@debian.org>, 683184@bugs.debian.org
Cc: Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Sun, 11 Nov 2012 15:08:51 +0530
[Message part 1 (text/plain, inline)]
On 09:20 Sun 11 Nov     , intrigeri wrote:
> Jakub Wilk wrote (11 Nov 2012 00:38:28 GMT) :
> > * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-10, 11:28:
> >>> debian/watch contains only a single line "version=3"? Is that intentional? As far
> >>> as I can see, this change is not documented in the changelog.
> >> Yes file is introduced to suppress the lintian warning.
> 
> A Lintian override would be less hackish, and would express the intent
> a bit more clearly, wouldn't it?

Anything is fine with me till date I was planting dummy watch file in
all my packages to avoid lintian warning but I can even add lintian override

Warm Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 683184 blocks 692737 Request was from Vasudev Kamath <kamathvasudev@gmail.com> to control@bugs.debian.org. (Mon, 12 Nov 2012 06:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Mon, 12 Nov 2012 17:51:03 GMT) Full text and rfc822 format available.

Message #274 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Mon, 12 Nov 2012 18:49:32 +0100
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-11, 12:55:
>Done changed to Expat License.

Changelog now reads: "Changed License to Expat instead of MIT/X 
Consortium License as DEP-5 doesn't allow spaces in License name." But 
in 38-2 there were no spaces in short license names.

Please double-check that there are no undocumented changes to 
d/copyright.

What did this line do, and why it was removed?
	find . -name config.mk | xargs sed -i 's,-s ${LIBS},${LIBS},'

As I understand it "Added VERSION for each involved tool to contain 
current version" is a change to debian/create_orig_source, not to 
debian/rules. (But then, this file didn't exist in 38-2, so mentioning 
it would be rather confusing...)

"Added hardening flags options" is also listed as a change to 
debian/rules, but did debian/rules need actually any modification to 
enable hardening? I believe that with compat 9, dh took care of this.

Typo: manpage-hyphe-fix -> manpage-hyphen-fix.

Switching to source format 3.0 (quilt) is not documented in the 
changelog.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Tue, 13 Nov 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 683184@bugs.debian.org, Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 13 Nov 2012 14:45:03 GMT) Full text and rfc822 format available.

Message #279 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Tue, 13 Nov 2012 20:13:14 +0530
[Message part 1 (text/plain, inline)]
On 18:49 Mon 12 Nov     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-11, 12:55:
> >Done changed to Expat License.
> 
> Changelog now reads: "Changed License to Expat instead of MIT/X
> Consortium License as DEP-5 doesn't allow spaces in License name."
> But in 38-2 there were no spaces in short license names.
> 
> Please double-check that there are no undocumented changes to
> d/copyright.

Ah this is what happened in previous mail you said copyright information
is wrong for some tools and while reading LICENSE file I noted it as
MIT/X Consortium License instead of MIT license which was previously
written in copyright. So I modified I did document this change I assume
then as per your suggestion I changed it later to Expat!.

> 
> What did this line do, and why it was removed?
> 	find . -name config.mk | xargs sed -i 's,-s ${LIBS},${LIBS},'

Not sure why it was removed, it was not present when I took over source
from Micahel. After reading man page for *ld* I see that this option is
used to strip of debugging symbols of the binaries. By removing these
tools will contain the debugging symbols so I'm not sure how to fix
this? The policy 10.1 says symbols should be stripped off with -s to
install also section 4.9.1  says about nostrip option does this mean by
default debhelper strips of symbols?


> 
> As I understand it "Added VERSION for each involved tool to contain
> current version" is a change to debian/create_orig_source, not to
> debian/rules. (But then, this file didn't exist in 38-2, so
> mentioning it would be rather confusing...)

Removed the line from changelog

> 
> "Added hardening flags options" is also listed as a change to
> debian/rules, but did debian/rules need actually any modification to
> enable hardening? I believe that with compat 9, dh took care of
> this.

Yes removed the line now

> Typo: manpage-hyphe-fix -> manpage-hyphen-fix.
Fixed
> 
> Switching to source format 3.0 (quilt) is not documented in the
> changelog.
> 

Now added

Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Wed, 14 Nov 2012 17:39:07 GMT) Full text and rfc822 format available.

Message #282 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Wed, 14 Nov 2012 18:37:26 +0100
[Message part 1 (text/plain, inline)]
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-13, 20:13:
>>Changelog now reads: "Changed License to Expat instead of MIT/X 
>>Consortium License as DEP-5 doesn't allow spaces in License name." But 
>>in 38-2 there were no spaces in short license names.
[...]
>Ah this is what happened in previous mail you said copyright 
>information is wrong for some tools and while reading LICENSE file I 
>noted it as MIT/X Consortium License instead of MIT license which was 
>previously written in copyright. So I modified I did document this 
>change I assume then as per your suggestion I changed it later to 
>Expat!.

I know what happened, but it's impossible for someone else to deduce it 
just by reading the changelog. The short history name was like this:

A) MIT
B) MIT/X Consortium License
C) Expat

A->B change is not documented, only B->C is. Also the fact that B 
existed at some point of VCS history (but not in any released version) 
is not really interesting for end users. So I propose only to document 
A->C switch; see the attached patch.


Typo: soruce- > source. Also, a space is needed between "3.0" and 
"(quilt)".

-- 
Jakub Wilk
[suckless-tools-changelog.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 15 Nov 2012 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>, 683184@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 15 Nov 2012 07:03:03 GMT) Full text and rfc822 format available.

Message #287 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 15 Nov 2012 12:29:53 +0530
[Message part 1 (text/plain, inline)]
On 18:37 Wed 14 Nov     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-13, 20:13:
> >>Changelog now reads: "Changed License to Expat instead of MIT/X
> >>Consortium License as DEP-5 doesn't allow spaces in License
> >>name." But in 38-2 there were no spaces in short license names.
> [...]
> >Ah this is what happened in previous mail you said copyright
> >information is wrong for some tools and while reading LICENSE file
> >I noted it as MIT/X Consortium License instead of MIT license
> >which was previously written in copyright. So I modified I did
> >document this change I assume then as per your suggestion I
> >changed it later to Expat!.
> 
> I know what happened, but it's impossible for someone else to deduce
> it just by reading the changelog. The short history name was like
> this:
> 
> A) MIT
> B) MIT/X Consortium License
> C) Expat
> 
> A->B change is not documented, only B->C is. Also the fact that B
> existed at some point of VCS history (but not in any released
> version) is not really interesting for end users. So I propose only
> to document A->C switch; see the attached patch.

Thanks for the patch I applied it

> 
> 
> Typo: soruce- > source. Also, a space is needed between "3.0" and
> "(quilt)".
> 

Fixed now :-)

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 15 Nov 2012 10:21:03 GMT) Full text and rfc822 format available.

Message #290 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 15 Nov 2012 11:18:58 +0100
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-13, 20:13:
>>What did this line do, and why it was removed?
>> 	find . -name config.mk | xargs sed -i 's,-s ${LIBS},${LIBS},'
>Not sure why it was removed, it was not present when I took over source 
>from Micahel. After reading man page for *ld* I see that this option is 
>used to strip of debugging symbols of the binaries. By removing these 
>tools will contain the debugging symbols so I'm not sure how to fix 
>this? The policy 10.1 says symbols should be stripped off with -s to 
>install also section 4.9.1  says about nostrip option does this mean by 
>default debhelper strips of symbols?

Yes, dh_strip strips symbols by default (if DEB_BUILD_OPTIONS=nostrip is 
not set).

Using -s unconditionally is a bad idea, because then symbols are 
getting stripped even with nostrip.

Of course modifying upstream files in-place in debian/rules is probably 
a bad idea. (If you wanted do that, you'd have to restore the original 
ones in the clean target.)

Also note that this is slightly broken: ${LIBS} is expanded by make to 
an empty string, so you actually end up calling:

find . -name config.mk | xargs sed -i 's,-s ,,'

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 15 Nov 2012 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>, 683184@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 15 Nov 2012 11:57:03 GMT) Full text and rfc822 format available.

Message #295 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 15 Nov 2012 17:22:53 +0530
[Message part 1 (text/plain, inline)]
On 11:18 Thu 15 Nov     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-13, 20:13:
> >>What did this line do, and why it was removed?
> >>	find . -name config.mk | xargs sed -i 's,-s ${LIBS},${LIBS},'
> >Not sure why it was removed, it was not present when I took over
> >source from Micahel. After reading man page for *ld* I see that
> >this option is used to strip of debugging symbols of the binaries.
> >By removing these tools will contain the debugging symbols so I'm
> >not sure how to fix this? The policy 10.1 says symbols should be
> >stripped off with -s to install also section 4.9.1  says about
> >nostrip option does this mean by default debhelper strips of
> >symbols?
> 
> Yes, dh_strip strips symbols by default (if
> DEB_BUILD_OPTIONS=nostrip is not set).
> 
> Using -s unconditionally is a bad idea, because then symbols are
> getting stripped even with nostrip.
> 
> Of course modifying upstream files in-place in debian/rules is
> probably a bad idea. (If you wanted do that, you'd have to restore
> the original ones in the clean target.)

So I guess its okay that is dropped but I guess needs to be recorded in
changelog? But I don't know how to phrase this removal though :-/

> 
> Also note that this is slightly broken: ${LIBS} is expanded by make
> to an empty string, so you actually end up calling:
> 
> find . -name config.mk | xargs sed -i 's,-s ,,'

True :-)
 

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 15 Nov 2012 16:09:08 GMT) Full text and rfc822 format available.

Message #298 received at 683184@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 15 Nov 2012 17:08:08 +0100
* Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-15, 17:22:
>>>>What did this line do, and why it was removed?
>>>>	find . -name config.mk | xargs sed -i 's,-s ${LIBS},${LIBS},'
>>>Not sure why it was removed, it was not present when I took over 
>>>source from Micahel. After reading man page for *ld* I see that this 
>>>option is used to strip of debugging symbols of the binaries. By 
>>>removing these tools will contain the debugging symbols so I'm not 
>>>sure how to fix this? The policy 10.1 says symbols should be stripped 
>>>off with -s to install also section 4.9.1  says about nostrip option 
>>>does this mean by default debhelper strips of symbols?
>>
>>Yes, dh_strip strips symbols by default (if DEB_BUILD_OPTIONS=nostrip 
>>is not set).
>>
>>Using -s unconditionally is a bad idea, because then symbols are 
>>getting stripped even with nostrip.
>>
>>Of course modifying upstream files in-place in debian/rules is 
>>probably a bad idea. (If you wanted do that, you'd have to restore the 
>>original ones in the clean target.)
>
>So I guess its okay that is dropped but I guess needs to be recorded in 
>changelog? But I don't know how to phrase this removal though :-/

You have to get rid of -s one way or another, because it breaks 
DEB_BUILD_OPTIONS=nostrip.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#683184; Package sponsorship-requests. (Thu, 15 Nov 2012 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>, 683184@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 15 Nov 2012 16:33:06 GMT) Full text and rfc822 format available.

Message #303 received at 683184@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Jakub Wilk <jwilk@debian.org>, 683184@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 15 Nov 2012 21:59:45 +0530
[Message part 1 (text/plain, inline)]
On 17:08 Thu 15 Nov     , Jakub Wilk wrote:
> * Vasudev Kamath <kamathvasudev@gmail.com>, 2012-11-15, 17:22:
> >>>>What did this line do, and why it was removed?
> >>>>	find . -name config.mk | xargs sed -i 's,-s ${LIBS},${LIBS},'
> >>>Not sure why it was removed, it was not present when I took
> >>>over source from Micahel. After reading man page for *ld* I
> >>>see that this option is used to strip of debugging symbols of
> >>>the binaries. By removing these tools will contain the
> >>>debugging symbols so I'm not sure how to fix this? The policy
> >>>10.1 says symbols should be stripped off with -s to install
> >>>also section 4.9.1  says about nostrip option does this mean
> >>>by default debhelper strips of symbols?
> >>
> >>Yes, dh_strip strips symbols by default (if
> >>DEB_BUILD_OPTIONS=nostrip is not set).
> >>
> >>Using -s unconditionally is a bad idea, because then symbols are
> >>getting stripped even with nostrip.
> >>
> >>Of course modifying upstream files in-place in debian/rules is
> >>probably a bad idea. (If you wanted do that, you'd have to
> >>restore the original ones in the clean target.)
> >
> >So I guess its okay that is dropped but I guess needs to be
> >recorded in changelog? But I don't know how to phrase this removal
> >though :-/
> 
> You have to get rid of -s one way or another, because it breaks
> DEB_BUILD_OPTIONS=nostrip.
> 

Oh sorry I guess I didn't properly read it that time ;) Fixed the
02_dpkg-buildflags.patch file also updated the header. I didn't record
this change in changelog as I updated patch header. Hope that is okay.

Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jakub Wilk <jwilk@debian.org>:
You have taken responsibility. (Thu, 15 Nov 2012 19:48:07 GMT) Full text and rfc822 format available.

Notification sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Bug acknowledged by developer. (Thu, 15 Nov 2012 19:48:07 GMT) Full text and rfc822 format available.

Message #308 received at 683184-done@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683184-done@bugs.debian.org
Subject: Re: Bug#683184: RFS: suckless-tools/39-1 [ITA]
Date: Thu, 15 Nov 2012 20:46:14 +0100
Uploaded.

-- 
Jakub Wilk



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Dec 2012 07:28:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:14:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.